<template>
  <div class="w-full max-w-full h-[194px] flex-1 bg-surface flex flex-col p-5 border border-borderColor border-opacity-100 rounded-[12px] gap-3 items-end self-stretch bg-surfaceBright">
    <div class="flex flex-col items-start gap-2 self-stretch">
      <div class="flex items-center gap-2">
        <Icon
          :icon="appIcon"
          height="24"
          width="24"
          :class="`text-${appColor}`"
        />

        <svn-pro-title h6 color="onSurface">
          {{ appName }}
        </svn-pro-title>

        <svn-pro-info-tag
          v-if="appLabel === 'Coming soon' || appLabel === 'Beta'"
          :text="appLabel"
          tag-type="info"
          tag-style="outlined"
          tag-size="compact"
        />
      </div>

      <div class="h-[60px]">
        <svn-pro-text body-medium regular color="onSurfaceVariant" class="line-clamp-3">
          {{ appDescription }}
        </svn-pro-text>
      </div>
    </div>
    <svn-pro-button
      :text="`${buttonLabel}`"
      variant="outlined"
      :color="appColor"
      :disabled="appLabel === 'Coming soon'"
      @click="onClickAppButton"
    />
  </div>
</template>

<script setup>
import { Icon } from "@iconify/vue";
import SvnProInfoTag from "../../components/chip/SvnProInfoTag.vue";
import SvnProText from "../../components/styles/SvnProText.vue";
import SvnProTitle from "../../components/styles/SvnProTitle.vue";
import SvnProButton from "../../components/button/SvnProButton.vue";

const props = defineProps({
  appIcon: {
    type: String,
    default: "mingcute:chat-3-line",
  },
  appColor: {
    type: String,
    default: "primary",
  },
  appName: {
    type: String,
    default: "Interview",
  },
  appDescription: {
    type: String,
    default: "",
  },
  appLabel: {
    type: String,
    default: undefined,
  },
  buttonLabel: {
    type: String,
	default: ""  
  },
})

const emit = defineEmits(['action-clicked'])

const onClickAppButton = () => {
  emit('action-clicked')
}
</script>
